SDL_INVALID_UNICODE_CODEPOINT(3)

NAME
SDL_INVALID_UNICODE_CODEPOINT - The Unicode REPLACEMENT CHARACTER codepoint.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_INVALID_UNICODE_CODEPOINT 0xFFFD

DESCRIPTION

SDL_StepUTF8 () and SDL_StepBackUTF8 () report this codepoint when they encounter a UTF-8 string with encoding errors.

This tends to render as something like a question mark in most places.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_StepBackUTF8(3), •(3), SDL_StepUTF8(3)